Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Class MediaOutputResource

    java.lang.Object
      org.richfaces.resource.MediaOutputResource

All Implemented Interfaces:
  javax.faces.component.StateHolder, CacheableResource, UserResource

    public class MediaOutputResource

extends Object
implements javax.faces.component.StateHolder, UserResource, CacheableResource

Since:
  4.0
Author:
  Nick Belaevski

Constructor Summary
`MediaOutputResource()`

Method Summary
`int` | `getContentLength()`
`String` | `getContentType()`
`String` | `getEntityTag(javax.faces.context.FacesContext context)`
`Date` | `getExpires(javax.faces.context.FacesContext context)`
`InputStream` | `getInputStream()`
`Date` | `getLastModified()`
`Map<String,String>` | `getResponseHeaders()`
`int` | `getTimeToLive(javax.faces.context.FacesContext context)`
`void` | `initialize(AbstractMediaOutput uiMediaOutput)`
`boolean` | `isCacheable(javax.faces.context.FacesContext context)`
`boolean` | `isTransient()`
`void` | `restoreState(javax.faces.context.FacesContext context, Object stateObject)`
`Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setCacheable(boolean cacheable)`
`void` | `setContentType(String contentType)`
`void` | `setTransient(boolean newTransientValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaOutputResource

    public MediaOutputResource()

Method Detail

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Specified by:
    `getInputStream` in interface `UserResource`
  Throws:
    `IOException`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

### setTransient

    public void setTransient(boolean newTransientValue)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`

### saveState

    public Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             Object stateObject)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### initialize

    public void initialize(AbstractMediaOutput uiMediaOutput)

  Parameters:
    `uiMediaOutput` -

### isCacheable

    public boolean isCacheable(javax.faces.context.FacesContext context)

  Specified by:
    `isCacheable` in interface `CacheableResource`

### setCacheable

    public void setCacheable(boolean cacheable)

### getExpires

    public Date getExpires(javax.faces.context.FacesContext context)

  Specified by:
    `getExpires` in interface `CacheableResource`

### getTimeToLive

    public int getTimeToLive(javax.faces.context.FacesContext context)

  Specified by:
    `getTimeToLive` in interface `CacheableResource`

### getEntityTag

    public String getEntityTag(javax.faces.context.FacesContext context)

  Specified by:
    `getEntityTag` in interface `CacheableResource`

### getResponseHeaders

    public Map<String,String> getResponseHeaders()

  Specified by:
    `getResponseHeaders` in interface `UserResource`

### getLastModified

    public Date getLastModified()

  Specified by:
    `getLastModified` in interface `UserResource`

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `UserResource`

### setContentType

    public void setContentType(String contentType)

### getContentLength

    public int getContentLength()

  Specified by:
    `getContentLength` in interface `UserResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.